summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andy Bailey <GooseYArd@gmail.com>2010-05-13 11:17:24 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:31 -0500
commit5af5869a48707dea798c6b99e7289bb8fc2647d2 (patch)
tree2de6cfd803db2753eaeedef7c97b2953560d7c59
parent0d7dd50075d0d98b82632de2567d9fdd236b923e (diff)
downloadslackbuilds-5af5869a48707dea798c6b99e7289bb8fc2647d2.tar.gz
slackbuilds-5af5869a48707dea798c6b99e7289bb8fc2647d2.tar.xz
libraries/haskell-X11-xft: Added (XFT bindings for Haskell).
-rw-r--r--libraries/haskell-X11-xft/README3
-rw-r--r--libraries/haskell-X11-xft/doinst.sh4
-rw-r--r--libraries/haskell-X11-xft/haskell-X11-xft.SlackBuild73
-rw-r--r--libraries/haskell-X11-xft/haskell-X11-xft.info10
-rw-r--r--libraries/haskell-X11-xft/slack-desc19
5 files changed, 109 insertions, 0 deletions
diff --git a/libraries/haskell-X11-xft/README b/libraries/haskell-X11-xft/README
new file mode 100644
index 0000000..5e523ff
--- /dev/null
+++ b/libraries/haskell-X11-xft/README
@@ -0,0 +1,3 @@
+haskell-X11-xft is haskell support for xft in X11.
+
+This requires ghc and haskell-X11.
diff --git a/libraries/haskell-X11-xft/doinst.sh b/libraries/haskell-X11-xft/doinst.sh
new file mode 100644
index 0000000..87825cd
--- /dev/null
+++ b/libraries/haskell-X11-xft/doinst.sh
@@ -0,0 +1,4 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
+
diff --git a/libraries/haskell-X11-xft/haskell-X11-xft.SlackBuild b/libraries/haskell-X11-xft/haskell-X11-xft.SlackBuild
new file mode 100644
index 0000000..c6ae7b8
--- /dev/null
+++ b/libraries/haskell-X11-xft/haskell-X11-xft.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Slackware build script for haskell-hinotify
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Modified by Andy Bailey (GooseYArd@gmail.com) for hinotify
+# Public domain.
+
+PRGNAM=haskell-X11-xft
+VERSION=${VERSION:-0.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=X11-xft
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.lhs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$TARNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-script
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | \ xargs strip --strip-unneeded 2> /dev/null || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/haskell-X11-xft/haskell-X11-xft.info b/libraries/haskell-X11-xft/haskell-X11-xft.info
new file mode 100644
index 0000000..c8e21f6
--- /dev/null
+++ b/libraries/haskell-X11-xft/haskell-X11-xft.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-X11-xft"
+VERSION="0.3"
+HOMEPAGE="http://hackage.haskell.org/package/X11-xft"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/X11-xft/0.3/X11-xft-0.3.tar.gz"
+MD5SUM="1b4a528a2a4fe5e9de715f6758ff9015"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Bailey"
+EMAIL="GooseYArd@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/haskell-X11-xft/slack-desc b/libraries/haskell-X11-xft/slack-desc
new file mode 100644
index 0000000..d8f386d
--- /dev/null
+++ b/libraries/haskell-X11-xft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-X11-xft: haskell-X11-xft (haskell bindings to the xft library)
+haskell-X11-xft:
+haskell-X11-xft: Haskell bindings to the Xft, X Free Type interface library,
+haskell-X11-xft: and some Xrender parts.
+haskell-X11-xft:
+haskell-X11-xft: http://hackage.haskell.org/package/X11-xft
+haskell-X11-xft:
+haskell-X11-xft:
+haskell-X11-xft:
+haskell-X11-xft:
+haskell-X11-xft: